<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number27</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.27:</b> Write a JavaScript program to check if a string starts with 'Java' and false otherwise.</p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	<input type="text" id="txt" placeholder="Enter Your Favourite Text">	
	<input type="button" onClick="generate()" name="gen" value="Generate!">
		
		<pre id="demo"></pre>
		
	</div>
	
<script>
	function generate() {
		var str = document.getElementById('txt').value;
		var char_4 = str.substring(0,4);
		if ( char_4 === "Java") {
			document.getElementById('demo').innerHTML=
				"It`s Ok";
		} else {
			document.getElementById('demo').innerHTML=
				Boolean(0);
		}
	}
	
	</script>
</body>
</html>
